package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.security.crypto.AESCrypto;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;

public class AESEncryptQueryKeyAction extends LifeAction {

   private String keyType;
   private String valueText;
   private String desText;
   private static final String SQL_SECRET_KEY = "SELECT KEY_VALUE FROM SECRET_KEY WHERE KEY_TYPE = ?";


   public String execute(Context context) throws GENEException {
      try {
         if(this.keyType != null && !"".equals(this.keyType)) {
            String deStr = getKey(this.keyType);
            String value = (String)context.getDataValue(this.valueText);
            deStr = AESCrypto.encrypt(AESCrypto.getAESKeySpecFromString(deStr), value);
            context.setDataValue(this.desText, deStr);
            return "0";
         } else {
            throw new GENEException("IM05001", "未设置密钥类型!");
         }
      } catch (Exception var4) {
         var4.printStackTrace();
         throw new GENEException("IM05002", "DES解密失败!");
      }
   }

   public static String getKey(String resultList) throws GENEException {
      Connection connection = null;

      try {
         connection = LifeDBAccess.getConnection();
         ArrayList inputList = new ArrayList();
         new ArrayList();
         inputList.add(resultList);
         List resultList1;
         if((resultList1 = LifeDBAccess.queryMultipleResult(connection, "SELECT KEY_VALUE FROM SECRET_KEY WHERE KEY_TYPE = ?", inputList, 1)).size() <= 0) {
            return null;
         }

         resultList = (String)((List)resultList1.get(0)).get(0);
      } catch (Exception var5) {
         var5.printStackTrace();
         return null;
      } finally {
         LifeDBAccess.releaseConnection(connection);
      }

      return resultList;
   }

   public String getDesText() {
      return this.desText;
   }

   public void setDesText(String desText) {
      this.desText = desText;
   }

   public String getKeyType() {
      return this.keyType;
   }

   public void setKeyType(String keyType) {
      this.keyType = keyType;
   }

   public String getValueText() {
      return this.valueText;
   }

   public void setValueText(String valueText) {
      this.valueText = valueText;
   }

   public static void main(String[] args) {
   }
}
